PHP Manual
Prev |  | Next

# swf_openfile

(PHP 4, PECL)

swf_openfile -- Open a new Shockwave Flash file

## Description

void swf_openfile ( string filename, float width, float height, float framerate, float r, float g, float b )

Opens a new file. This must be the first function you call, otherwise your script will not work.

## Parameters

`filename`

  The path to the SWF file. If you want to send your output to the screen, set this to `php://stdout`.

`width`

  The movie width

`height`

  The movie height

`framerate`

  The frame rate.

`r`

  Red value for the background.

`g`

  Green value for the background.

`b`

  Blue value for the background.

## Return Values

No value is returned.

## ChangeLog

Version | Description
--- | ---
4.0.1 | Support for `php://stdout` was added.

Prev | Home | Next
swf_oncondition | Up | swf_ortho2